<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author			felipe.cadena

@version 		1.0
@description 	Vista para estudiar el ajuste espacial de un tramite.
                
@cu 			CU-NP-CO-200

@MB     EstudioAjusteEspacialMB

@modified juanfelipe.garcia Controlar trámites con condición 8- 9 CC-NP-CO-040
    
@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Estudiar ajuste espacial requerido::.
    </ui:define>

    <ui:define name="content">
        <h:form id="estudiarAjusteEspacialForm">

            <p:messages showDetail="false" globalOnly="false" />


            <h:panelGrid columns="2">


                <p:fieldset id="datosEncabezadoFS">

                    <h:panelGrid width="500" columns="4">

                        <h:outputLabel value="No. solicitud" styleClass="outputLabelStyle" />

                        <p:commandLink styleClass="commandLinkStyle"
                                       oncomplete="detalleSolicitudWV.show();"
                                       update=":detalleSolicitudEjecutarForm" process="@this"
                                       value="#{estudiarAjusteEspacial.tramiteActual.solicitud.numero}">
                            <f:setPropertyActionListener
                                value="#{estudiarAjusteEspacial.tramiteActual.solicitud}"
                                target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                        </p:commandLink>
                        <h:outputLabel value="Fecha solicitud" styleClass="outputLabelStyle" />

                        <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.solicitud.fecha}" styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                               locale="es_CO" timeZone="GMT-5" />
                        </h:outputText>

                        <h:outputLabel value="Tipo solicitud" styleClass="outputLabelStyle" />
                        <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.solicitud.tipo}"
                                      id="SolicitudTipoV" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="SolicitudTipoV" />
                        </h:outputText>

                        <h:outputLabel value="No. radicación" styleClass="outputLabelStyle" />

                        <p:commandLink styleClass="commandLinkStyle"
                                       oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                                       update=":detalleTramiteEjecutarForm"
                                       value="#{estudiarAjusteEspacial.tramiteActual.numeroRadicacion}">
                            <f:setPropertyActionListener value="#{estudiarAjusteEspacial.tramiteActual}"
                                                         target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                        </p:commandLink>

                        <h:outputLabel value="Fecha radicación" styleClass="outputLabelStyle" />

                        <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.fechaRadicacion}"
                                      styleClass="outputTextStyle">
                            <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                               locale="es_CO" timeZone="GMT-5" />
                        </h:outputText>

                        <h:outputLabel value="Tipo trámite" styleClass="outputLabelStyle" />
                        <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.tipoTramiteCadenaCompleto}"
                                      id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                        </h:outputText>

                        <h:outputLabel value="Derecho Petición/Tutela: "
                                       styleClass="outputLabelStyle" />
                        <p:commandLink oncomplete="detalleSolicitudWV.show();"
                                       update=":detalleSolicitudEjecutarForm" process="@this"
                                       styleClass="commandLinkStyleInTable">
                            <h:outputText value="#{estudiarAjusteEspacial.tramiteActual.formaPeticionTramite}" />
                            <f:setPropertyActionListener value="#{estudiarAjusteEspacial.tramiteActual.solicitud}"
                                                         target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                        </p:commandLink>

                    </h:panelGrid>
                </p:fieldset>

                <h:panelGrid width="500">
                    <p:dataTable id="prediosDT" widgetVar="prediosDTWV"
                                 value="#{estudiarAjusteEspacial.prediosTramite}"
                                 var="predio" paginator="true" rows="5"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                 emptyMessage="No se encontraron predios">
                        <f:facet name="header">
                            Predios asociados al trámite
                        </f:facet>

                        <p:column headerText="Tipo">
                            <h:outputText id="PredioTipoV"
                                          value="#{predio.tipo}">

                                <f:converter converterId="converterCB" for="PredioTipoV" />

                            </h:outputText>


                        </p:column>


                        <p:column headerText="Número predial">

                            <p:commandLink oncomplete="detallePredioWV.show()"
                                           update=":dpCC:detallesPredioTV" process="@this"
                                           action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}">
                                <h:outputText value="#{predio.formattedNumeroPredialCompleto}"
                                              styleClass="commandLinkStyle" />
                                <f:setPropertyActionListener
                                    target="#{vistaDetallesSolicitud.numeroPredial}"
                                    value="#{predio.numeroPredial}" />
                                <f:setPropertyActionListener
                                    target="#{consultaPredio.selectedPredioId}" value="#{predio.id}" />
                            </p:commandLink>

                        </p:column>

                        <p:column headerText="Nombre o dirección principal">
                            <h:outputText
                                value="#{predio.direccionPrincipal}"
                                styleClass="outputTextStyle" />
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>

            </h:panelGrid>

            <br/>   
            <p:separator/>

            <p:fieldset id="noFichaFS" rendered="#{!estudiarAjusteEspacial.banderaHabilitarTramiteVisible}" styleClass="inline-block" 
                        style="display:inline-block; 
                        color: #D8000C;
                        background-color: #0000FF" >
                <legend>
                    <h:outputText value="No existe la información de las fichas matriz  de los predios con condición 8 o 9 y por lo tanto no puede seguir el trámite." 
                                  styleClass="legendTitle" />
                </legend>
            </p:fieldset>

            <br/>   
            <br/>

            <p:fieldset id="noReplicaFS" rendered="#{!estudiarAjusteEspacial.banderaReplicaCreada}">
                <legend>
                    <h:outputText value="El sistema esta verificando su información espacial, esto puede tomar varios minutos. Por favor intentelo más tarde." 
                                  styleClass="legendTitle" />
                </legend>
            </p:fieldset>


            <p:fieldset id="datosDepuracionFS" rendered="#{estudiarAjusteEspacial.banderaReplicaCreada}">
                <legend>
                    <h:outputText value="Detalles depuración" 
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid width="100%" columns="2">

                    <h:panelGrid width="100%">
                        <h:outputLabel value="Inconsistencias geogràficas" styleClass="outputLabelStyle" />

                        <p:dataTable id="inconsistenciasDT" widgetVar="inconsistenciasDTWV"
                                     value="#{estudiarAjusteEspacial.insconsistenciasTramite}"
                                     var="inconsistencia" paginator="true" rows="5"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                     emptyMessage="No se encontraron inconsistencias">
                            <f:facet name="header">
                                Inconsistencias geogràficas
                            </f:facet>

                            <p:column headerText="Tipo">
                                <h:outputText id="PredioTipoV"
                                              value="#{inconsistencia.tipo}">


                                </h:outputText>


                            </p:column>


                            <p:column headerText="Descripciòn">
                                <h:outputText
                                    value="#{inconsistencia.inconsistencia}" />

                            </p:column>
                            <p:column headerText="Nùmero predial">
                                <h:outputText
                                    value="#{inconsistencia.numeroPredial}"
                                    styleClass="outputTextStyle" />
                            </p:column>

                        </p:dataTable>

                        <h:panelGrid>

                            <p:commandButton value="Actualizar inconsistencias geográficas"
                                             icon="ui-icon-refresh"
                                             update="inconsistenciasDT"
                                             oncomplete="statusDialog2.hide()"
                                             onstart="statusDialog2.show()"
                                             action="#{estudiarAjusteEspacial.cargarDatosTramite}"/>

                        </h:panelGrid>
                    </h:panelGrid>



                    <h:panelGrid id="viablePanel" width="450" columns="1">

                        <h:outputLabel value="Trámite viable" styleClass="outputLabelStyle" />

                        <h:selectOneRadio   id="viableSlt"
                                            required="true" requiredMessage="Se debe seleccionar un valor de viabilidad"
                                            value="#{estudiarAjusteEspacial.tramiteDepuracion.viable}"
                                            disabled="#{!estudiarAjusteEspacial.banderaHabilitarTramiteVisible}">  
                            <f:selectItems value="#{general.siNo}" />  

                            <p:ajax listener="#{estudiarAjusteEspacial.actualizarOpcionesDepuracion}" 
                                    update="viablePanel, avancePanel, :estudiarAjusteEspacialForm:datosDepuracionFS" event="change" process="@this"/>
                        </h:selectOneRadio>  

                        <p:commandButton value="Agregar razones de rechazo" 
                                         icon="ui-icon-pencil"
                                         action="#{estudiarAjusteEspacial.habilitarRazones}"
                                         oncomplete="statusDialog2.hide();"
                                         onstart="statusDialog2.show()"
                                         update="viablePanel"
                                         rendered="#{!estudiarAjusteEspacial.banderaViable and !estudiarAjusteEspacial.banderaMostrarRazonesRechazo}"/>

                        <h:outputLabel rendered="#{estudiarAjusteEspacial.banderaMostrarRazonesRechazo}"
                                       value="Razones rechazo" styleClass="outputLabelStyle" />
                        <h:inputTextarea rendered="#{estudiarAjusteEspacial.banderaMostrarRazonesRechazo}" style="width: 100%"
                                         value="#{estudiarAjusteEspacial.tramiteDepuracion.razonesRechazo}"/>
                    </h:panelGrid>

                </h:panelGrid>

                <br/>   
                <p:separator/>
                <br/> 

                <h:panelGrid id="campoPG" rendered="#{estudiarAjusteEspacial.banderaViable}">
                    <h:outputLabel value="Requiere ir a campo: " styleClass="outputLabelStyle" />
                    <h:selectOneRadio   id="campoSlt"
                                        required="true" requiredMessage="Se debe definir si se debe ir a campo o no."
                                        value="#{estudiarAjusteEspacial.tramiteDepuracion.campo}">  
                        <f:selectItems value="#{general.siNo}" />  

                    </h:selectOneRadio>
                </h:panelGrid>



            </p:fieldset>

            <p:spacer height="10"/>

            <h:panelGrid columns="4" id="avancePanel" rendered="#{estudiarAjusteEspacial.banderaReplicaCreada}">

                <p:commandButton value="Seleccionar área espacial"
                                 rendered="#{!estudiarAjusteEspacial.banderaAreaSeleccionada and estudiarAjusteEspacial.banderaHabilitarTramiteVisible}"
                                 icon="ui-icon-image"
                                 oncomplete="cargarMapaZoomToFeature('#{estudiarAjusteEspacial.applicationClientName}',
                                 '#{estudiarAjusteEspacial.tokenParam}',
                                 '#{estudiarAjusteEspacial.moduleLayer}',
                                 '#{estudiarAjusteEspacial.moduleTools}',
                                 '#{estudiarAjusteEspacial.prediosParaZoom}');" />

                <p:commandButton value="Editor geográfico"
                                 rendered="#{estudiarAjusteEspacial.banderaAreaSeleccionada}"
                                 icon="ui-icon-image" 
                                 onclick="abrirEditor('snc:#{estudiarAjusteEspacial.parametroEditorGeografico}');"/>


                <p:commandButton value="Guardar" 
                                 icon="ui-icon-disk"
                                 oncomplete="statusDialog2.hide()"
                                 onstart="statusDialog2.show()"
                                 action="#{estudiarAjusteEspacial.guardarDepuracion}"
                                 update=":estudiarAjusteEspacialForm"/>

                <p:commandButton value="Avanzar proceso" process="@this"
                                 id="avanceBTN" ajax="false"
                                 icon="ui-icon-seek-next"
                                 disabled="#{!estudiarAjusteEspacial.banderaAvanzarProceso}"
                                 action="#{estudiarAjusteEspacial.avanzarProceso}"
                                 onstart="statusDialog2.show()"/>

            </h:panelGrid>

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{estudiarAjusteEspacial.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false"/>
                <p:spacer height="0" width="20" />
            </p:outputPanel>

        </h:form>

        <p:dialog header="Tareas a realizar con la información espacial" dynamic="true"
                  widgetVar="tareasRealizarWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="520" width="980">
            <ui:include
                src="/conservacion/depuracion/tareasRealizarInfoEspacial.xhtml">
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  dynamic="true" width="960">
            <ui:include src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" mostrarFichaPredial="true" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <ui:include src="../../util/visorGeografico.xhtml" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>
</ui:composition>

